Bug 121027 - missing apostrophe in xlsx import
Summary: missing apostrophe in xlsx import
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2018-10-29 15:29 UTC by Elie Roux
Modified: 2021-12-30 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file (working in Excel, no apostrophe in LO) (8.19 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-10-29 15:29 UTC, Elie Roux
Details
result in Excel after double clicking (50.22 KB, image/png)
2018-10-29 15:30 UTC, Elie Roux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elie Roux 2018-10-29 15:29:46 UTC
Created attachment 146142 [details]
test file (working in Excel, no apostrophe in LO)

The attached file displays an apostrophe as the first characters of the two cells in Excel, while the apostrophe disappears in LO. In Excel, a double click is required to see the apostrophe though, see attached screenshot.
Comment 1 Elie Roux 2018-10-29 15:30:48 UTC
Created attachment 146143 [details]
result in Excel after double clicking
Comment 2 raal 2018-10-29 22:15:15 UTC
Confirm with Version: 6.2.0.0.alpha1+
Build ID: a50f845957fff66ca7f459da4878be4597e0bae3
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: x11; and Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

Cells are imported as Number type, not General
Comment 3 QA Administrators 2019-12-10 03:59:57 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2019-12-30 08:42:32 UTC
still repro in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 42a1a1c6b91907f81e15066ffab219411f18c4db
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 5 QA Administrators 2021-12-30 03:47:22 UTC
Dear Elie Roux,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug